<?php
/**
* @version		$ 1.2 2009-10$
* @package		Joomla
* @subpackage	IPricecalc
* @copyright	Copyright (C) 2009 LoT studio group. All rights reserved.
* @license		The commercial licence http://www.lot-studio.ru/license-ipricecalc
*/


defined( '_JEXEC' ) or die( 'Restricted access' );

	if (!isset($viewtype)) $viewtype = 1;

	$usecents = (int) $this->params->get('usecents','');
	$usecart = (int) $this->params->get('usecart','1');
	$countdig = ($usecents == 1 ? "2" : "0" );
	$displaydesc = (int) $this->params->get('displaydesc','0');
	$showprices = (int) $this->params->get('showprices','1');
	$showisec = (int) $this->params->get('showisec','1');
	$showicat = (int) $this->params->get('showicat','1');
	$maxfilesize = (int) $this->params->get('maxfilesize','2000')*1024;
	$showshortdesc = (int) $this->params->get('showshortdesc','1');
	$showdiscount = (int) $this->params->get('showdiscount','1');
	$showunit = (int) $this->params->get('showunit','1');
	$showitemtotal = (int) $this->params->get('showitemtotal','1');
	$salestax = (int)$this->params->get('salestax','0');
	$showselect = (int)$this->params->get('showselect','1');
	if (!$showprices) $showitemtotal = 0;
	if ($viewtype == 2) {
		$totaltext = "TOTALS";
		$subtotaltext = "SUBTOTALS";
	} else {
		$totaltext = "TOTALS PER PAGE";
		$subtotaltext = "SUBTOTALS PER PAGE";
	}
	
	
	
	$sym = trim($this->curr->symbol);
	if ($this->curr->symplace) {
	  $currmask = $sym.($this->curr->usespace == 1 ? " " : "" ).($usecents == 1 ? "%01.2f" : "%d" );
	  $currmaskjs = "'".$sym."'+".($this->curr->usespace == 1 ? "' '+" : "" )."%s";
	}
	else {
	  $currmask = ($usecents == 1 ? "%01.2f" : "%d" ).($this->curr->usespace == 1 ? " " : "" ).$sym;
	  $currmaskjs = "%s".($this->curr->usespace == 1 ? "+' '" : "" )."+'".$sym."'";
	}
	

if (count($this->items)) : 

$doc =& JFactory::getDocument();
$doc->addStyleSheet( "components/com_ipricecalc/css/price/default.css" );

?>


<script language="javascript" type="text/javascript">

function show_desc(iid) {
	if (iid.style.display == '') iid.style.display='none'; else iid.style.display='';
};

function check_event(){
	var sum_ = new Array();
	var price_list=new Array(), i_list=new Array(), i_box_list=new Array(); i_radio_list=new Array();
	var taxamount = 0.00;
	var grandtotal = 0.00;
<?php 	
	echo ("var salestax=".$salestax.";");
	$i = -1;
	$curcatnum = -1;
	$itemnum = -1;
	$curcat = '';
	foreach ($this->items as $item) {
		if ($item->item_type==1) 
			continue;
		$i++;
		$itemnum++;		
			
	    if ($curcat != $item->category) {
			$curcatnum++;
			$itemnum = 0;
		   	$curcat = $item->category;
		   	echo ('price_list['.$curcatnum.'] = new Array(); i_list['.$curcatnum.'] = new Array(); i_box_list['.$curcatnum.'] = new Array(); i_radio_list['.$curcatnum.'] = new Array(); ');
		};
		echo ("	price_list[".$curcatnum."][".$itemnum."] = ".$item->cost."; ");
		echo ("	i_list[".$curcatnum."][".$itemnum."] = document.getElementById('i_".$i."'); ");
		echo ("	i_box_list[".$curcatnum."][".$itemnum."] = document.getElementById('i_box_".$i."'); ");
		echo ("	i_radio_list[".$curcatnum."][".$itemnum."] = document.getElementById('i_radio_".$i."'); ");
	}
?>
		var j, ind;
		ind = 0;
		for (var i = 0; i < i_list.length; i++){
			sum_[i]=0;
			for (j = 0; j < i_list[i].length; j++){
				if(i_box_list[i][j].checked || i_list[i][j].value != '0' || i_radio_list[i][j].checked){
					if(i_list[i][j].style.visibility == 'hidden'){
						summ = price_list[i][j];
						sum_[i] = sum_[i] + summ;
					}else{
						summ = price_list[i][j] * i_list[i][j].value;
						sum_[i] = sum_[i] + summ;
					};
				} else summ = 0;
				<?php if ($showitemtotal) { ?>
					document.getElementById('itemtotal_'+ind).innerHTML = <?php echo sprintf($currmaskjs,'summ.toFixed('.$countdig.')')?>;
				<?php } ?>						
				ind = ind + 1;
			};
		};
		var SUM=0;
		for(i=0; i<i_list.length;i++) {
			SUM = SUM + sum_[i];
			<?php if ($showicat) : ?>
				document.getElementById('results_'+i).innerHTML = <?php echo sprintf($currmaskjs,'sum_[i].toFixed('.$countdig.')')?>;
			<?php endif; ?>
		}
		document.getElementById('results_bottom').innerHTML = <?php echo sprintf($currmaskjs,'SUM.toFixed('.$countdig.')')?>;
	<?php if (($viewtype == 2) and  $salestax) { ?>
		taxamount = SUM/100*salestax;
		document.getElementById('taxamount').innerHTML = <?php echo sprintf($currmaskjs,'taxamount.toFixed('.$countdig.')')?>;
		grandtotal = SUM + taxamount;
		document.getElementById('grandtotal').innerHTML = <?php echo sprintf($currmaskjs,'grandtotal.toFixed('.$countdig.')')?>;
			
	<?php } ?>
};
</script>

<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" class="ipricemaintable">
<?php
	$i = -1;
	$curcatnum = -1;
	$cursecnum = -1;
	$itemnum = -1;
	$curcatid = -1;
	$cursecid = -1;
	$curcat = "-1";

	if ($showshortdesc)
		$headercolspan = 'colspan="2"';
	else $headercolspan = '';
	$headerHTML = '<tr class="tablzag3"><td '.$headercolspan.' class="tablzag3">'.JText::_('Price items').'</td>';
	if ($showselect or ($viewtype == 2))
		$headerHTML .= '<td class="tablzag3">'.JText::_('Select').'</td>';
	if ($showunit)
		$headerHTML .= '<td class="tablzag3">'.JText::_('Unit header').'</td>';	
	if ($showdiscount)
		$headerHTML .= '<td class="tablzag3" title="'.JText::_('Discount').'">'. JText::_('%') . '</td>';
	if ($showprices) {
		$headerHTML .= '<td class="tablzag3">'.JText::_('Cost').'</td>';
		if ($showitemtotal) 
			$headerHTML .= '<td class="tablzag3">'.JText::_('Total').'</td>';		
	}
		
	$tabldelimcolspan = 1;
	if ($showselect or ($viewtype == 2)) $tabldelimcolspan++;
	if ($showshortdesc) $tabldelimcolspan++;
	if ($showdiscount) $tabldelimcolspan++;
	if ($showprices) $tabldelimcolspan++;
	if ($showunit) $tabldelimcolspan++;
	if ($showitemtotal) $tabldelimcolspan++;	
	
	$totaltitlecolspan = 0;
	if ($showselect or ($viewtype == 2)) $totaltitlecolspan++;
	if ($showshortdesc) $totaltitlecolspan++;
	if ($showdiscount) $totaltitlecolspan++;
	if ($showunit) $totaltitlecolspan++;
	if ($showitemtotal) $totaltitlecolspan++;
	
	$totalamountcolspan = 2;

	$headerHTML .= '</tr><tr><td colspan="'.$tabldelimcolspan.'" class="tabldelim"></td></tr>';
	
	$globalsum = 0.00;
	$catsum = 0.00;
	$secsum = 0.00;
	echo $headerHTML;	
	foreach ($this->items as $item) :
		if (!$usecart)
			$item->count=0;

	    if ($curcatid != $item->catid) {
			$curcatnum++;
			$itemnum = 0;
		   	
			if ($curcatnum>0) { 
				if ($showprices && $showicat) : ?>
					<tr>
						<td colspan="<?php echo $totaltitlecolspan; ?>" align="right" valign="middle" class="tablitogo" ><?php echo JText::_($subtotaltext).' "'.$curcat.'"'; ?> : </td>
						<td colspan="<?php echo $totalamountcolspan; ?>" valign="middle" class="tablitogo ipricecost" ><span id="results_<?php echo ($curcatnum-1);?>" ><?php echo sprintf($currmask,$catsum);?></span></td>
					</tr>
				<?php endif ?>
				<tr><td colspan="<?php echo $tabldelimcolspan; ?>" align="right" class="tablcatdelim"></td></tr>
				<?php 				
				$globalsum += $catsum;
				$catsum = 0; 
			}
			$curcatid = $item->catid;
			$curcat = $item->category;

			if ($cursecid != $item->secid) {
				$cursecnum++;
				$itemnum = 0;
				$cursecid = $item->secid;
				if ($showisec)
					echo ('<tr><td colspan="'.$tabldelimcolspan.'" class="tablzagsection" ><h2>'.$item->section.'</h2></td></tr>');
			};
			if ($showicat) {
				echo ('<tr><td colspan="'.$tabldelimcolspan.'" class="tablzag2" ><h3>'.$item->category.'</h3></td></tr>');
				echo '<tr><td colspan="'.$tabldelimcolspan.'" align="right" class="tablcatdelim"></td></tr>';
			}
//			echo $headerHTML;
		};
	if ($item->item_type==1) { ?>
	<tr>
		<td colspan="<?php echo $tabldelimcolspan; ?>" align="left" valign="middle" class="tabldivider" ><?php echo $item->name; ?></td>
	</tr>
	
	<?php } else {
		if ($item->description) $classname_suff = 'info'; else $classname_suff = '';
		$i++;
		$itemnum++;
	
		$catsum += $item->cost*$item->count;
	?>		
	<tr valign="middle">
		<td class="tablchet ipricename<?php echo $classname_suff; ?>" >
				<?php if ($item->description) : ?><a href="javascript:show_desc(document.getElementById('d_<?php echo $item->id;?>'));"><?php endif; ?>
				<?php echo $item->name;?>
				<?php if ($item->description) : ?></a><?php endif; ?>
		</td>
		<?php if ($showshortdesc) : ?>		
		<td class="tablchet ipriceshort<?php echo $classname_suff; ?>">
			<?php if ($item->description) : ?><a href="javascript:show_desc(document.getElementById('d_<?php echo $item->id;?>'));"><?php endif; ?>		
			<?php echo $item->shortdesc; ?>
			<?php if ($item->description) : ?></a><?php endif; ?>			
		</td>
		<?php endif; ?>	
		<?php if ($showselect or ($viewtype == 2)) : ?>	
	  	<td width="1%" align="center">
			<input type="text" maxlength="5" <?php  if ($item->showcount==1) echo ($showprices ? ' onchange="check_event()"' : '' ).' style="width: 30px; text-align: right" value="'.(int)$item->count.'"';
										else echo 'style="visibility: hidden; position: absolute"  value="0"';	?> 
			id="i_<?php echo ($i);?>" name="i_<?php echo ($i);?>" />
			
			<center>
		
				<input type="radio" <?php if ($item->showcount!=2) echo ' style="visibility: hidden; position: absolute;"'; else { if ($showprices)  echo 'onclick="check_event()"'; if ($item->count) echo ' CHECKED '; }?> 
				id="i_radio_<?php echo ($i);?>" name="i_radio_<?php echo ($item->radiogroup);?>" value="<?php echo ($item->id);?>" />
				
				<input type="checkbox" <?php if ($item->showcount!=0) echo ' style="visibility: hidden; position: absolute;"'; else { if ($showprices) echo 'onclick="check_event()"'; if ($item->count) echo ' CHECKED ';}?> 
				id="i_box_<?php echo ($i);?>" name="i_box_<?php echo ($i);?>" />
			</center>
			<input type="hidden" name="itemid_<?php echo ($i);?>" value="<?php echo $item->id; ?>" />
			<input type="hidden" name="type_<?php echo ($i);?>" value="<?php echo $item->showcount; ?>" />
	    </td>
		<?php endif; ?>			
		<?php if ($showunit) : ?>
		<td class="tablchet ipriceunit">
			<?php echo $item->unit; ?>
		</td>
		<?php endif; ?>
				
		<?php if ($showdiscount) : ?>
		<td class="tablchet ipricedisc">
			<?php 
				if (substr($item->discdispl,0,1)!='-') {
					if ($item->discdispl) echo '<span title="'.$item->discname.'">'.$item->discdispl.'</span>'; 
						elseif ($item->discid && $item->discname) echo '<span title="'.$item->discname.'">...%</span>';
				}
			?>
		</td>
		<?php endif; ?>
		<?php if ($showprices) : ?>	
		<td class="tablchet ipricecost">
				<?php echo sprintf($currmask,$item->cost);?>
		</td>
			<?php if ($showitemtotal) : ?>
				<td class="tablchet ipriceamount">
					<span id="itemtotal_<?php echo $i;?>" ><?php echo sprintf($currmask,$item->cost*$item->count);?></span>
				</td>
			<?php endif; ?>
		<?php endif; ?>
	</tr>
	<?php if ($viewtype == 2 and $item->enable_file) : ?> 
	<tr>
	  	<td colspan="<?php echo $tabldelimcolspan; ?>" class="ipriceattach">
		<?php if ($item->filename) {
			echo JText::_("Attached file:") . " <span class=\"attached_file\">" . $item->filename ."</span><br>"; 
		}
		?>
		<input type="hidden" name="old_filename_<?php echo $item->id?>" value="<?php echo $item->filename?>" />
		<input type="hidden" name="old_tmpfilename_<?php echo $item->id?>" value="<?php echo $item->tmp_filename?>" />
		<input type="hidden" name="old_tmpdirname_<?php echo $item->id?>" value="<?php echo $item->tmp_dirname?>" />		
		<label for="filename_<?php echo $item->id?>"><?php echo JText::_('Attach file')?></label>
		<input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $maxfilesize; ?>">
		<input type="file" name="filename_<?php echo $item->id?>" id="filename_<?php echo $item->id?>" size="40" />
		<input type="button"  name="clearfile" id="clearfile" value="<?php echo JText::_('Clear file');?>" onClick="javascript:this.form.filename_<?php echo $item->id?>.value='';" />
		</td>
	</tr>
	<?php endif; ?>	
	<?php if ($item->description) : ?>
	<tr>
	  	<td colspan="<?php echo $tabldelimcolspan; ?>" align="left" >
	  		<div class="tabldiv" id="d_<?php echo $item->id;?>" <?php if (!$displaydesc) echo ' style="display: none;" '; ?> ><?php echo $item->description?></div>
		</td>
    </tr>
	<?php endif; ?>
	<tr><td colspan="<?php echo $tabldelimcolspan; ?>" align="right" class="tablitemdelim"></td></tr>
	
<?php } //item_type else ?>	

<?php endforeach;
if ($curcatnum>-1 && $showprices && $showicat) : ?>
	<tr>
		<td colspan="<?php echo $totaltitlecolspan; ?>" align="right" valign="middle" class="tablitogo" ><?php echo JText::_($subtotaltext).' "'.$curcat.'"'; ?> : </td>
		<td colspan="<?php echo $totalamountcolspan; ?>" align="right" valign="middle" class="tablitogo" ><span id="results_<?php echo ($curcatnum);?>" ><?php echo sprintf($currmask,$catsum); ?></span></td>
	</tr>
	<?php 
endif;
$globalsum += $catsum;
$catsum = 0; 

?>

  <tr><td colspan="<?php echo $tabldelimcolspan; ?>" align="right" class="tabldelim" ></td></tr>
  <?php if ($showprices) : ?>  
	  <tr>
	    <td colspan="<?php echo $totaltitlecolspan; ?>" align="right" class="tablitogo"><?php echo JText::_($totaltext);?></td>
		<td colspan="<?php echo $totalamountcolspan; ?>" align="right" class="tablitogo"><span class="textwarn" id="results_bottom"><?php echo sprintf($currmask,$globalsum)?></span></td>
	  </tr>
  <?php endif ?>		  
</table>

<?php endif; //global endif countitems>0?>

<input type="hidden" name="countitems" value="<?php echo count($this->items)?>" />
<input type="hidden" name="curr" value="<?php echo $this->curr->currcode?>" />
<input type="hidden" name="option" value="com_ipricecalc" />
<input type="hidden" name="redir" value="<?php $uri = JFactory::getURI();  echo urlencode($uri->toString());?>" />
<input type="hidden" name="actype" id="actype" value="paging" />
<?php echo JHTML::_( 'form.token' ); ?>

