<?php

/**
* @version		$ 1.2 2009-10$
* @package		Joomla
* @subpackage	IPricecalc
* @copyright	Copyright (C) 2009 LoT studio group. All rights reserved.
* @license		The commercial licence http://www.lot-studio.ru/license-ipricecalc
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
jimport('joomla.application.component.view');
require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ipricecalc'.DS.'tables'.DS.'ipricecalc.php');
require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ipricecalc'.DS.'tables'.DS.'discount.php');
require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ipricecalc'.DS.'helpers'.DS.'html.php');
require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ipricecalc'.DS.'helpers'.DS.'calculate.php');

class IPriceCalcViewPrice extends JView
{
	function display($tpl = null, $itemid = null, $contact = null, $filter = null, $plugsecids = null, $plugcatids = null, $plugitemids = null)
	{
		global $mainframe, $option;

		$user	  = &JFactory::getUser();
		$uri 	  =& JFactory::getURI();
		$model	  = &$this->getModel();
		$document =& JFactory::getDocument();
		
		$pparams = null;
		if ($itemid) {
		    $menu = & JMenu::getInstance('site');
			$menuitem = $menu->getItem($itemid);
			if ($menuitem && strpos($menuitem->link,'ipricecalc')) {
				$pparams = & $menu->getParams( $itemid );
				$globalparams = $mainframe->getPageParameters('com_ipricecalc');
				if ($globalparams) {
					$globalparams->merge($pparams);
					$pparams = $globalparams;
				}
			}
		} 
		if (!$pparams)
			$pparams = $mainframe->getPageParameters('com_ipricecalc');
			
		$catids  = preg_replace("/[^0-9,]/","", $pparams->get('catpriceid'));
		$secids  = preg_replace("/[^0-9,]/","", $pparams->get('secpriceid'));
		$itemids = preg_replace("/[^0-9,]/","", $pparams->get('elementid'));

		
		$filter	= rawurldecode(JRequest::getVar('ifilter',''));
		$secid_req	= JRequest::getInt('isecid','0','get');
		$catid_req	= JRequest::getInt('icatid','0','get');
		
		if ($secid_req)
			$secidsfilter = $secid_req;
		else
			$secidsfilter = $secids;

		if ($catid_req)
			$catidsfilter = $catid_req;
		else 
			$catidsfilter = $catids;
			
		if ($plugsecids || $plugcatids || $plugitemids) {
			$secidsfilter = $plugsecids;
			$catidsfilter = $plugcatids;
			$itemids = $plugitemids;
		}
		
		$itemfilter = "";
		if ($itemids)
			$itemfilter = " ipi.id in ( ".$itemids." ) ";
		
		$limitstart = JRequest::getVar('limitstart', 0, '', 'int');
		$limit = $pparams->get('numperpage', 20);
		$limitstart = ($limit != 0 ? (floor($limitstart / $limit) * $limit) : 0);		
		
		$categories	= $model->getCategories( $option, $secidsfilter , $catidsfilter, $filter, $limit, $limitstart, $itemfilter);

		$javascript = 'onchange="this.form.actype.value=\'filter_sec\'; this.form.submit();"';
		$javascriptsec = 'onchange="this.form.catid.value=\'0\' ; this.form.actype.value=\'filter_sec\'; this.form.submit();"';
		$lists['secid'] = JHTMLIpriceList::section_filter($secids, 'secid', intval( $secid_req ),$javascriptsec);
		$lists['catid'] = JHTMLIpriceList::category_filter(intval( $secid_req ),$catids, 'catid', intval( $catid_req ),$javascript);
		
		$pagination =& $this->get('Pagination');		

		if (count($categories)) {
			$dispatcher	=& JDispatcher::getInstance();
			$article =& JTable::getInstance('content');
			$article->parameters	= new JParameter( '' );
			foreach ($categories as $item) {
				$article->text			= $item->description;
				JPluginHelper::importPlugin('content');
				$results = $dispatcher->trigger('onPrepareContent', array (& $article, & $article->parameters, 0));
				$item->description = $article->text;
			}
		}
		$countdig = ($pparams->get('usecents','0') == '1' ? 2 : 0 );
		$showprices = (int) $pparams->get('showprices','1');
		$curr =& JTable::getInstance('Iprice_curr', 'JTable');
		$curr->load($pparams->get('curr',''));
		$salestax = (int)$pparams->get('salestax','0');
		$total = 0.00;
		$taxamount = 0.00;
		
		calcAmount($categories, $curr, $countdig, $salestax, $total, $taxamount);
		
		if (!$contact) {
			$contact->fio = $user->get('name','');
			$contact->email = $user->get('email','');
		}
		
		$this->assignRef('items',		$categories);
		$this->assignRef('params',		$pparams);
		$this->assignRef('contact',		$contact);		
		$this->assignRef('pagination', $pagination);
		$this->assignRef('lists', $lists);		
		$this->assign('curr',	$curr);	
		$this->assign('itemid',	$itemid);	
		$this->assign('filter',	$filter);
		
		$this->assign('action',		$uri->toString());
		//echo $this->getOrderHTML(2);
		parent::display($tpl);
	}
	
}
